{% extends 'base.html.twig' %}

{% block body %}
	<div class="row">
		<div class="col-md-12">
			<div class="section">
				<div class="section-header">
					<h5>Listado de Tipos de Cancer
					</h5>
				</div>
				<div class="section-body">
					<div class="table-responsive">
						<table class="table table-striped">
							<thead>
								<tr>
									<th>#</th>
									<th>Nombre</th>
									<th>Descripción</th>
									<th>Acciones</th>
								</tr>
							</thead>
							<tbody>
								{% for tiposCancer in tiposCancers %}
									<tr data-link="{{ path('tiposcancer_show', { 'id': tiposCancer.id }) }}">
										<td>{{ tiposCancer.id }}</td>
										<td>{{ tiposCancer.nombre }}</td>
										<td>{{ tiposCancer.descripcion}}</td>
										<td>
											<a href="{{ path('tiposcancer_edit', { 'id': tiposCancer.id }) }}">
												<i class="fa fa-edit"></i>
											</a>
										</td>
									</tr>
								{% endfor %}
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="row">
		<div class="col-md-12">
			<div class="section">
				{% if tiposCancers | length > 14 %}

					<div class="well well-sm clearfix">
						<div class="pagination-info pull-left">
							Mostrando
							<b>
								{{(tiposCancers.getItemNumberPerPage * tiposCancers.getCurrentPageNumber) - (tiposCancers.getItemNumberPerPage -1) }}
								-
								{{tiposCancers.getItemNumberPerPage * tiposCancers.getCurrentPageNumber }}</b>
							de
							<b>
								{{ tiposCancers.getTotalItemCount }}
							</b>
						</div>
						<ul class="pagination pull-right">
							{{ knp_pagination_render(tiposCancers) }}
						</ul>
					</div>
				{% else %}
					<div class="well well-sm clearfix">
						<div class="pagination-info pull-left">
							Mostrando
							<b>{{ tiposCancers.getTotalItemCount }}</b>
							items</b>
					</div>
					<ul class="pagination pull-right">
						{{ knp_pagination_render(tiposCancers) }}
					</ul>
				</div>
			{% endif %}
		</div>
	</div>
</div>
{% endblock %}

{% block javascripts %}
	{{parent()}}
	<script type="text/javascript">
		$(document).ready(function() {
			$("#menu-tiposCancer").trigger('click');
		});
	</script>
{% endblock %}
